Package com.android.server.os

# Enum Class LinphoneTombstoneProtos.MemoryError.Tool

java.lang.Object
java.lang.Enum<LinphoneTombstoneProtos.MemoryError.Tool>
com.android.server.os.LinphoneTombstoneProtos.MemoryError.Tool

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<LinphoneTombstoneProtos.MemoryError.Tool>`, `Constable`

Enclosing class:
  LinphoneTombstoneProtos.MemoryError

public static enum LinphoneTombstoneProtos.MemoryError.Tool extends Enum<LinphoneTombstoneProtos.MemoryError.Tool> implements com.google.protobuf.Internal.EnumLite
Protobuf enum `MemoryError.Tool`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GWP_ASAN`
`GWP_ASAN = 0;`
`SCUDO`
`SCUDO = 1;`
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GWP_ASAN_VALUE`
`GWP_ASAN = 0;`
`static final int`
`SCUDO_VALUE`
`SCUDO = 1;`

## Method Summary

Modifier and Type
Method
Description
`static LinphoneTombstoneProtos.MemoryError.Tool`
`forNumber(int value)`
`final int`
`getNumber()`
`static com.google.protobuf.Internal.EnumLiteMap<LinphoneTombstoneProtos.MemoryError.Tool>`
`internalGetValueMap()`
`static com.google.protobuf.Internal.EnumVerifier`
`internalGetVerifier()`
`static LinphoneTombstoneProtos.MemoryError.Tool`
`valueOf(int value)`
Deprecated.
`static LinphoneTombstoneProtos.MemoryError.Tool`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LinphoneTombstoneProtos.MemoryError.Tool[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GWP_ASAN

public static final LinphoneTombstoneProtos.MemoryError.Tool GWP_ASAN
`GWP_ASAN = 0;`

### SCUDO

public static final LinphoneTombstoneProtos.MemoryError.Tool SCUDO
`SCUDO = 1;`

### UNRECOGNIZED

public static final LinphoneTombstoneProtos.MemoryError.Tool UNRECOGNIZED

## Field Details

### GWP_ASAN_VALUE

public static final int GWP_ASAN_VALUE
`GWP_ASAN = 0;`

See Also:
  - Constant Field Values

### SCUDO_VALUE

public static final int SCUDO_VALUE
`SCUDO = 1;`

See Also:
  - Constant Field Values

## Method Details

### values

public static LinphoneTombstoneProtos.MemoryError.Tool[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LinphoneTombstoneProtos.MemoryError.Tool valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`

### valueOf

@Deprecated public static LinphoneTombstoneProtos.MemoryError.Tool valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static LinphoneTombstoneProtos.MemoryError.Tool forNumber(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<LinphoneTombstoneProtos.MemoryError.Tool> internalGetValueMap()

### internalGetVerifier

public static com.google.protobuf.Internal.EnumVerifier internalGetVerifier()